-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


return {
	name = "Lit Shaft",
   level_scheme = "fixed",
	decay = {300, 800},
   max_level = 1,
   width = 5, height = 24,
	persistent = "zone",
   all_lited = true,
   
	generator =  {
		map = {
			class = "engine.generator.map.Static",
			map = "zones/tunnel",
		},
	},
   on_enter = function(lev, old_lev, newzone)
   local Dialog = require("engine.ui.Dialog")
		if not game.level.shown_warning then
			Dialog:simpleLongPopup("Lit Shaft", "Ah, my eyes!  The light - it stings!\n\nAhh... but no, can it be...?  Is that...sunlight?  I ain't seen sunlight in so long...\n\nThe air here is dry, it hurts my lungs just to breathe it.  But up at the end... the source of the light...  Could it truly be?  This feels like a dream...\n",500)
			game.level.shown_warning = true
		end
   end,
}
