-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


load("/data/general/npcs/dogs.lua")
load("/data/general/npcs/rats.lua")
load("/data/general/npcs/junkies.lua")
load("/data/general/npcs/bandits.lua")
load("/data/general/npcs/bunny.lua")
newEntity{
	define_as = "BANDIT_LEADER",
	type = "human", subtype = "bandit",
	display = "B", color=colors.DARK_GREEN,
   name = "bandit leader",
   drunk_name = "bandit leader",
	desc = [[A tall bandit stands before me wearing a flak jacket and a biker's helmet.  From the multiple dog tags hanging like trophies round his neck it's clear what's happened to all the military guys before me.  In his hands is a roaring, buzzing chainsaw.  He laughs as he swings it through the air.]],

   drunk_desc = [[A tall bandit stands before me wearing a flak jacket and a biker's helmet.  From the multiple dog tags hanging like trophies round his neck it's clear what's happened to all the military guys before me.  In his hands is a roaring, buzzing chainsaw.  He laughs as he swings it through the air.]],
   his = "his",
   cries = "grunts",
   he = "he",
	ai = "dumb_talented_simple", ai_state = { talent_in=3, },
	stats = { str=resolvers.rngavg(16,20), aim=resolvers.rngavg(16,20), hea=resolvers.rngavg(16,20), spd=10 },
   stamina_cost = 4,
	combat_armor = 0,
   sight = 7,
   crit_defence = 5,
   body = { INVEN = 40, MELEE=1, RANGED=1, BODY=1, HEAD=1 },
   energy = {mod = 1.15},

	level_range = {5, 10}, exp_worth = 5,
	max_life = resolvers.rngavg(51,60),
	combat = { dam=4, crit_chance = 0 },
   copy = {
      resolvers.equip{
		{type="melee", subtype="chainsaw"},
      {type="body armour", subtype = "military"},
      {type="helmet", subtype = "plastic"},
      },
      resolvers.inventory{
            {type="stimulant", subtype="regeneration", name="stims"},
            {type="stimulant", subtype="regeneration", name="stims"},
            {type="liquor"},
        },
   },
}