-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.



newEntity{
	define_as = "HEX_BASE",
	display_w=31/23, -- a little bit more than 4/3
	display_x=-4/23, 
}

newEntity{
	define_as = "UP_WILDERNESS",
	name = "exit to the wilds",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/up.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	change_level = 1,
	change_zone = "wilderness",
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTAL1",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/Portal1.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTAL2",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/Portal2.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTAL3",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/Portal3.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTAL4",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/Portal4.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTAL5",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/Portal5.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTAL6",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/Portal6.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTAL7",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/Portal7.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTAL8",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/Portal8.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTAL9",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/Portal9.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTALA",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/PortalA.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTALB",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/PortalB.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "PORTALC",
	name = "Portal to Somewhere",
	image="terrain/grass_gradient1.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/PortalC.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}

newEntity{
	define_as = "UP_MINES",
	name = "entrance to the lower mines",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/up.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	change_level = 1,
	change_zone = "mines",
	base = "HEX_BASE",

}

newEntity{
	define_as = "DOWN_MINES",
	name = "route back to the lower mines",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/up.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	change_level = 3,
	base = "HEX_BASE",
	change_zone = "mines",
}

newEntity{
	define_as = "UP_UPPERMINES",
	name = "entrance to the upper mines",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	display='', back_color={r=100, g=180, b=100},
	add_displays = {class.new{image="terrain/up.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	always_remember = true,
	notice = true,
	change_level = 1,
	change_zone = "uppermines",
	base = "HEX_BASE",
}

newEntity{
	define_as = "DOWN_UPPERMINES",
	name = "route back to the upper mines",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	add_displays = {class.new{image="terrain/down.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	display='', back_color={r=100, g=180, b=100},
	always_remember = true,
	notice = true,
	change_level = 3,
	change_zone = "uppermines",
	base = "HEX_BASE",
}

newEntity{
	define_as = "UP_TUNNEL",
	name = "tunnel upwards",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	add_displays = {class.new{image="terrain/down.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	display='', back_color={r=100, g=180, b=100},	always_remember = true,
	notice = true,
	change_level = 1,
	change_zone = "tunnel",
	base = "HEX_BASE",
}

newEntity{
	define_as = "DOWN_TUNNEL",
	name = "back to the mineshaft",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	add_displays = {class.new{image="terrain/down.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	display='', back_color={r=100, g=180, b=100},
	always_remember = true,
	notice = true,
	base = "HEX_BASE",
}
   
newEntity{
	define_as = "UP_CAVES",
	name = "entrance to the caves",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	add_displays = {class.new{image="terrain/down.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	display='', back_color={r=100, g=180, b=100},
	always_remember = true,
	notice = true,
	change_level = 1,
	change_zone = "caves",
	base = "HEX_BASE",
}

newEntity{
	define_as = "DOWN_CAVES",
	name = "route back to the caves",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	add_displays = {class.new{image="terrain/down.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	display='', back_color={r=100, g=180, b=100},
	always_remember = true,
	notice = true,
	change_level = 3,
	change_zone = "caves",
	base = "HEX_BASE",
}

newEntity{
	define_as = "DOWN_STARTINGROOM",
	name = "back down to the military quarters",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	add_displays = {class.new{image="terrain/down.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	display='', back_color={r=100, g=180, b=100},
	always_remember = true,
	notice = true,
	change_level = 1,
	change_zone = "startingroom",
	base = "HEX_BASE",
}

newEntity{
	define_as = "DOWN",
	name = "next level",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	add_displays = {class.new{image="terrain/down.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	display='', back_color={r=100, g=180, b=100},
	notice = true,
	always_remember = true,
	change_level = 1,
}

newEntity{
	define_as = "UP",
	name = "previous level",
	image="terrain/grass2.png",
	default_tile=class.new{_noalpha=false, display = '', color_r=130, color_g=255, color_b=30},
	add_displays = {class.new{image="terrain/up.png", display_h=4/3, display_y=-1/6, display_scale=1, display_w=4/3, display_x=-1/6, z=2,}},
	display='', back_color={r=100, g=180, b=100},
	notice = true,
	always_remember = true,
	change_level = -1,
}

newEntity{
	define_as = "FLOOR",
	name = "floor",
	image="terrain/grass_gradient1.png",
	anim = {speed=0.042, loop=-1, max=16},
	display = '', color_r=80, color_g=80, color_b=80, back_color=colors.BLACK,
   always_remember = true,
}

newEntity{
	define_as = "OUTSIDE_FLOOR",
	name = "floor",
	image="terrain/grass_gradient1.png",
	display = '', color_r=200, color_g=160, color_b=80, back_color=colors.SLATE,
   always_remember = true,
   base = "HEX_BASE",
}

newEntity{
	define_as = "TUNNEL_FLOOR_LIGHT",
	name = "floor",
	image="terrain/grass_gradient1.png",
	display = '', color_r=80, color_g=60, color_b=40, back_color=colors.SLATE,
   always_remember = true,
}

newEntity{
	define_as = "TUNNEL_FLOOR",
	name = "floor",
	image="terrain/grass_gradient1.png",
	display = '', color_r=80, color_g=60, color_b=40, back_color=colors.GREY,
   always_remember = true,
}

newEntity{
	define_as = "WALL",
	name = "wall",
	image="terrain/treeanim.png",
	display = '#', color_r=160, color_g=160, color_b=160, back_color=colors.BLACK,
	--always_remember = true,
	does_block_move = true,
	can_pass = {pass_wall=1},
	block_sight = true,
	air_level = -20,
	dig = "FLOOR",
	anim = {speed=0.005, loop=-1, max=4},
}

newEntity{
	define_as = "DOOR",
	name = "door",
	image="mushroom/terrain/doorclosed.png",
	display = '+', color_r=238, color_g=154, color_b=77, back_color=colors.BLACK,
	notice = true,
	always_remember = true,
	block_sight = true,
	door_opened = "DOOR_OPEN",
	dig = "DOOR_OPEN",
	base = "HEX_BASE",
}

newEntity{
	define_as = "DOOR_OPEN",
	name = "open door",
	image="mushroom/terrain/dooropen.png",
	display = "/", color_r=238, color_g=154, color_b=77, back_color=colors.BLACK,
	always_remember = true,
	door_closed = "DOOR",
	base = "HEX_BASE",
}