-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


return {
	name = "South Central Gehennom",
	level_range = {1, 4},
	max_level = 3,
	decay = {300, 800},
	width = 50, height = 50,
	ambient_music = "Freezer Burn.ogg",
	persistent = "zone",
	generator =  {
		map = {
			class = "engine.generator.map.Roomer",
			nb_rooms = 10,
			rooms = {"simple", "pilar"},
			['.'] = "FLOOR",
			['#'] = "WALL",
			up = "UP",
			down = "DOWN",
			door = "DOOR",
		},
		actor = {
			class = "engine.generator.actor.Random",
			nb_npc = {15, 20},
		},
      object = {
         class = "engine.generator.object.Random",
         nb_object = {4, 8},
      },
	},
		levels =
	{
		[1] = {
			generator = { map = {
				up = "DOWN_STARTINGROOM",
			}, },
         
		},
		[3] = {
			generator =  { map = {
            force_last_stair = true,
				down = "UP_CAVES",
			}, },
		},
	},
   
  
   on_enter = function(lev, old_lev, newzone)
      if lev == 1 then
		 --game.player:getMac()
         local Dialog = require("engine.ui.Dialog")
         if not game.level.shown_warning then
            Dialog:simpleLongPopup("Mac says", "The twisted alleyways of South Central Gehennom lie before you. You're gonna have to fight your way downtown. There's a one eyed shopkeeper down there who owes you a favor.",500)
            game.level.shown_warning = true
         end
      end
   end,
   
}
