-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


newEntity{
	define_as = "NPC_GUARD",
	type = "human", subtype = "adult",
   name = "Amanda",
   drunk_name = "damn guard",
   his = "his",
   cries = "grunts",
   he = "he",
	display = '', color=colors.STEEL_BLUE,
   faction = "friendly",
   unique = true,
	desc = [[She's Amanda, the succubus foreman. Forewoman, I guess.]],
	stats = { str=10, aim=10, hea=10, spd=10 },
	combat_armor = 2,
	level_range = {1, 4}, exp_worth = 1,
	max_life = 25,
	image = "mushroom/npcs/pumpkin1.png",
	anim = {speed=0.42, loop=-1, max=16},
	combat = { dam=4 },
   stamina_cost = 8,
   
   body = { INVEN = 40, MELEE=1, RANGED=1, BODY=1, HEAD=1 },
   copy = {
      resolvers.equip{
		{type="melee", subtype="knife", name = "combat knife"},
		{type="body armour", subtype="military"},
      {type="helm", subtype="military"},
      },
      resolvers.inventory{
            {type="ammo", subtype="revolver", name="bullets"},
            {type="ammo", subtype="revolver", name="bullets"},
            {type="ammo", subtype="revolver", name="bullets"},
        },
   },
   
   can_talk = "guard",
   can_talk_only_once = true,
}