-- Hellfire
-- Copyright (C) 2011 Sean "Chezzo" Osman sean@chezzo.com
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

name = "Hellfire"
long_name = "Hellfire: Get Outta Hell"
short_name = "HF"
author = { "Sean Osman", "sean@chezzo.com" }
homepage = "http://chezzo.com"
version = {1,0,0}
engine = {0,9,43,"te4"}
description = [[
  Hellfire is an action point turn based roguelike where you must escape from Hell.

  Use the number pad or arrow keys to move.

  Press G to pick things up.

  Press F to fire your weapon.

  Press M to use one of your magic spells or talents.

  Press < to go up a level, and > to go down a level when standing on the stairs.

  Press R to rest.
  
  Press esc to save, exit, or change the keybindings.
]]
starter = "mod.load"
cheat_mode = true
loading_wait_ticks = 30
background_name = {"tome"}